Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.ajax
Class BrowserUpdateTransformer

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  org.apache.cocoon.transformation.AbstractTransformer
                      org.apache.cocoon.ajax.BrowserUpdateTransformer

All Implemented Interfaces:
  ContentHandler, LexicalHandler, Poolable, Recyclable, org.apache.cocoon.sitemap.SitemapModelComponent, org.apache.cocoon.transformation.Transformer, XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

public class BrowserUpdateTransformer
extends org.apache.cocoon.transformation.AbstractTransformer

The `BrowserUpdateTransformer` transformer filters the result of the form template, so that only updated widgets are sent back to the browser

Version:
  $Id: BrowserUpdateTransformer.java 607381 2007-12-29 05:42:58Z vgritsenko $

Field Summary
`static String` | `AJAXMODE_PARAM`
`static String` | `BU_NSURI`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Fields inherited from interface org.apache.cocoon.transformation.Transformer
`ROLE`

Constructor Summary
`BrowserUpdateTransformer()`

Method Summary
`void` | `characters(char[] buffer, int offset, int len)`
`void` | `endDocument()`
`void` | `endElement(String uri, String loc, String raw)`
`void` | `endPrefixMapping(String prefix)`
`void` | `recycle()`
`void` | `setDocumentLocator(Locator locator)`
`void` | `setup(org.apache.cocoon.environment.SourceResolver resolver, Map objectModel, String src, Parameters par)`
`void` | `startDocument()`
`void` | `startElement(String uri, String loc, String raw, Attributes attrs)`
`void` | `startPrefixMapping(String prefix, String uri)`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`comment, endCDATA, endDTD, endEntity, ignorableWhitespace, processingInstruction, skippedEntity, startCDATA, startDTD, startEntity`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`ignorableWhitespace, processingInstruction, skippedEntity`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### AJAXMODE_PARAM

    public static final String AJAXMODE_PARAM

See Also:
  Constant Field Values

### BU_NSURI

    public static final String BU_NSURI

See Also:
  Constant Field Values

Constructor Detail

### BrowserUpdateTransformer

    public BrowserUpdateTransformer()

Method Detail

### setup

    public void setup(org.apache.cocoon.environment.SourceResolver resolver,
                      Map objectModel,
                      String src,
                      Parameters par)
               throws org.apache.cocoon.ProcessingException,
                      SAXException,
                      IOException

  Throws:
    `org.apache.cocoon.ProcessingException`
    `SAXException`
    `IOException`

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

### startDocument

    public void startDocument()
                       throws SAXException

  Throws:
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)
                            throws SAXException

  Throws:
    `SAXException`

### startElement

    public void startElement(String uri,
                             String loc,
                             String raw,
                             Attributes attrs)
                      throws SAXException

  Throws:
    `SAXException`

### characters

    public void characters(char[] buffer,
                           int offset,
                           int len)
                    throws SAXException

  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String loc,
                           String raw)
                    throws SAXException

  Throws:
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String prefix)
                          throws SAXException

  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Throws:
    `SAXException`

### recycle

    public void recycle()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.